5 comentarios el “Jugando con LaCuerda I: Crawling

  1. hay un error al instalar progressbar:
    $ pip install -r requirements.txt
    Collecting Jinja2==2.7.1 (from -r requirements.txt (line 1))
    Using cached Jinja2-2.7.1.tar.gz
    Collecting MarkupSafe==0.18 (from -r requirements.txt (line 2))
    Using cached MarkupSafe-0.18.tar.gz
    Collecting cssselect==0.8 (from -r requirements.txt (line 3))
    Using cached cssselect-0.8.tar.gz
    Collecting lxml==3.2.3 (from -r requirements.txt (line 4))
    Using cached lxml-3.2.3.tar.gz
    Collecting progressbar==2.3 (from -r requirements.txt (line 5))
    Using cached progressbar-2.3.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
    File “”, line 20, in
    File “C:\Users\000060\AppData\Local\Temp\pip-build-osnfrldt\progressbar\setup.py”, line 5, in
    import progressbar
    File “C:\Users\000060\AppData\Local\Temp\pip-build-osnfrldt\progressbar\progressbar\__init__.py”, line 59, in
    from progressbar.widgets import *
    File “C:\Users\000060\AppData\Local\Temp\pip-build-osnfrldt\progressbar\progressbar\widgets.py”, line 121, in
    class FileTransferSpeed(Widget):
    File “c:\users\000060\appdata\local\programs\python\python35-32\lib\abc.py”, line 133, in __new__
    cls = super().__new__(mcls, name, bases, namespace)
    ValueError: ‘format’ in __slots__ conflicts with class variable

    —————————————-
    ←[31mCommand “python setup.py egg_info” failed with error code 1 in C:\Users\000060\AppData\Local\Temp\pip-build-osnfrldt\progressbar←[0m

    estoy usando python 3.5,

    • Hola, esto es un error de la librería progressbar (me parece que no es compatible con python 3). Igualmente el script este seguro no funcione, ya está viejito y nunca lo actualicé. Hace un par de semanas empecé a rehacer el scrapper desde cero y dentro de poco lo voy a subir. Lamentablemente este también funciona solamente con python 2 porque usa scrapy que todavía no está para py3. Saludos!

Deja un comentario

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s